WireMock
utils Wiremock

# can_connect_to

Test a connection to a host/port

Run it now
View details

Type |
Module | chaoswm.utils
Name | can_connect_to
Return | boolean

Usage

JSON

    {
      "name": "can-connect-to",
      "type": "",
      "provider": {
        "type": "python",
        "module": "chaoswm.utils",
        "func": "can_connect_to",
        "arguments": {
          "host": "",
          "port": 0
        }
      }
    }

YAML

    name: can-connect-to
    provider:
      arguments:
        host: ""
        port: 0
      func: can_connect_to
      module: chaoswm.utils
      type: python
    type: ""

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
host | string |  | Yes | Hostname | WireMock hostname
port | integer |  | Yes | Port | WireMock port

Signature

    def can_connect_to(host: str, port: int) -> bool:
        pass

## Related starters

- WireMock
  action Wiremock

  ## `add_mappings`

  Adds more mappings to wiremock
- WireMock
  action Wiremock

  ## `chunked_dribble_delay`

  Adds a chunked dribble delay to a list of mappings
- WireMock
  action Wiremock

  ## `chunked_dribble_delay`

  Adds a chunked dribble delay to a list of mappings